Bug Hunting Session
Bug 126951 - crash in custom slide show
Summary: crash in custom slide show
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.2.0.0.beta1+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.4.0 target:6.3.2 target:6.2.7
Keywords: bibisected, regression
Depends on:
Blocks:
 
Reported: 2019-08-15 16:14 UTC by raal
Modified: 2019-08-19 07:12 UTC (History)
3 users (show)

See Also:
Crash report or crash signature: ["SvListView::SelectListEntry(SvTreeListEntry *,bool)"]


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description raal 2019-08-15 16:14:26 UTC
Description:
crash in gen enviroment

Steps to Reproduce:
1.open impress
2.slideshow - custom slideshow - new
3.select existing slide and add >> to Selected slides/ OK
4. Edit
5. Select slide on right side in "Selected slides"
6. click button remove <<

Actual Results:
crash

Expected Results:
no crash


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.4.0.0.alpha0+
Build ID: 2812610f4f39ed5892da08864893c758325d1d39
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: x11;
Comment 1 raal 2019-08-15 16:15:35 UTC
regression, works in 5.4
Comment 2 Xisco Faulí 2019-08-15 18:18:12 UTC
It was fine until https://cgit.freedesktop.org/libreoffice/core/commit/?id=a977098f59a4c931c6f8a1d423720e682f5ed047. at this point selecting the existing slide on step 3 becomes impossible, later on, in https://cgit.freedesktop.org/libreoffice/core/commit/?id=df2cb0625ba0952ef1013373df875d643ad989d5, the selection problem gets fixed and the crash can be reproduced

Adding Cc: to Caolán McNamara
Comment 3 Commit Notification 2019-08-16 12:25:56 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/5d3e9ababc0b3e049a7556b210bb6349e3e3322c%5E%21

Resolves: tdf#126951 crash in custom slide show

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Caolán McNamara 2019-08-16 14:04:38 UTC
Fixed in master, backports to 6-3 and 6-2 in gerrit
Comment 5 Xisco Faulí 2019-08-19 06:06:29 UTC
Verified in

Version: 6.4.0.0.alpha0+
Build ID: cbe9601e5972ec1c466311e0b148a9fbe8cda4d1
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: x11; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!
Comment 6 Commit Notification 2019-08-19 06:56:35 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/7eefb0ffb8d7bde110a76f000022c61f933663c4%5E%21

Resolves: tdf#126951 crash in custom slide show

It will be available in 6.3.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2019-08-19 07:12:35 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/ef0d0e4b7d1e0ca5ed74db6345618f3b0444fd1f%5E%21

Resolves: tdf#126951 crash in custom slide show

It will be available in 6.2.7.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.